Skip to main content
`Ctrl`+`K`

# TaoTermParametersMode

Ways a `TaoTerm` can accept parameter vectors in `TaoTermComputeObjective()` and related functions

## Synopsis

    typedef enum {
      TAOTERM_PARAMETERS_OPTIONAL,
      TAOTERM_PARAMETERS_NONE,
      TAOTERM_PARAMETERS_REQUIRED
    } TaoTermParametersMode;

## Values

- `TAOTERM_PARAMETERS_OPTIONAL` - the term has default parameters that will be used if parameters are omitted

- `TAOTERM_PARAMETERS_NONE` - the term is not parametric, passing parameters is an error

- `TAOTERM_PARAMETERS_REQUIRED` - the term requires parameters, omitting parameters is an error

## Note

Each `TaoTerm` represents a parametric real-valued function \(f(x; p)\), where \(x\) is the solution variable (the optimization variable) and \(p\) is a parameter vector of fixed data that is not optimized over. The solution space (the vector space of \(x\)) and the parameter space (the vector space of \(p\)) are set independently; see `TaoTermSetSolutionSizes()` and `TaoTermSetParametersSizes()`.

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermGetParametersMode()`, `TaoTermSetParametersMode()`

## Level

intermediate

## Location

include/petsctaoterm.h

## Examples

src/tao/unconstrained/tutorials/rosenbrock1_taoterm.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages